package intrinsic.flash.display;

public class InteractiveIcon extends intrinsic.flash.desktop.Icon {

	/** Accessors */
	public int width;
	public int height;
	public intrinsic.Array bitmaps;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public InteractiveIcon() {
}


/** Static Methods */
public static native intrinsic.flash.utils.ByteArray createWin32IconFile(intrinsic.Array arg0);
public static native void writeWin32IconResource(intrinsic.flash.utils.IDataOutput arg0, intrinsic.flash.display.Bitmap arg1);
public static native int computeWin32IconResourceSize(intrinsic.flash.display.Bitmap arg0);
public static native intrinsic.flash.utils.ByteArray createMacOSIconFile(intrinsic.Array arg0);

/** Methods */

}
